#ifndef OPTION_ASDL_H
#define OPTION_ASDL_H

namespace option_asdl {

#define ASDL_NAMES struct
ASDL_NAMES option_i {
  enum no_name {
  errexit = 1,
  nounset = 2,
  pipefail = 3,
  inherit_errexit = 4,
  nullglob = 5,
  verbose_errexit = 6,
  noexec = 7,
  xtrace = 8,
  verbose = 9,
  noglob = 10,
  noclobber = 11,
  posix = 12,
  vi = 13,
  emacs = 14,
  interactive = 15,
  hashall = 16,
  failglob = 17,
  extglob = 18,
  nocasematch = 19,
  eval_unsafe_arith = 20,
  ignore_flags_not_impl = 21,
  ignore_opts_not_impl = 22,
  _allow_command_sub = 23,
  _allow_process_sub = 24,
  dynamic_scope = 25,
  redefine_module = 26,
  _running_trap = 27,
  _running_hay = 28,
  _no_debug_trap = 29,
  _no_err_trap = 30,
  strict_parse_slice = 31,
  strict_argv = 32,
  strict_arith = 33,
  strict_array = 34,
  strict_control_flow = 35,
  strict_errexit = 36,
  strict_nameref = 37,
  strict_word_eval = 38,
  strict_tilde = 39,
  strict_glob = 40,
  parse_at = 41,
  parse_proc = 42,
  parse_func = 43,
  parse_brace = 44,
  parse_bracket = 45,
  parse_equals = 46,
  parse_paren = 47,
  parse_ysh_string = 48,
  parse_triple_quote = 49,
  simple_word_eval = 50,
  dashglob = 51,
  command_sub_errexit = 52,
  process_sub_fail = 53,
  xtrace_rich = 54,
  xtrace_details = 55,
  sigpipe_status_ok = 56,
  redefine_proc_func = 57,
  parse_at_all = 58,
  parse_backslash = 59,
  parse_backticks = 60,
  parse_dollar = 61,
  parse_ignored = 62,
  parse_sh_arith = 63,
  parse_dparen = 64,
  parse_dbracket = 65,
  parse_bare_word = 66,
  simple_echo = 67,
  simple_eval_builtin = 68,
  simple_test_builtin = 69,
  expand_aliases = 70,
  lastpipe = 71,
  progcomp = 72,
  histappend = 73,
  hostcomplete = 74,
  cmdhist = 75,
  assoc_expand_once = 76,
  autocd = 77,
  cdable_vars = 78,
  cdspell = 79,
  checkhash = 80,
  checkjobs = 81,
  checkwinsize = 82,
  complete_fullquote = 83,
  direxpand = 84,
  dirspell = 85,
  dotglob = 86,
  execfail = 87,
  extdebug = 88,
  extquote = 89,
  force_fignore = 90,
  globasciiranges = 91,
  globstar = 92,
  gnu_errfmt = 93,
  histreedit = 94,
  histverify = 95,
  huponexit = 96,
  interactive_comments = 97,
  lithist = 98,
  localvar_inherit = 99,
  localvar_unset = 100,
  login_shell = 101,
  mailwarn = 102,
  no_empty_cmd_completion = 103,
  nocaseglob = 104,
  progcomp_alias = 105,
  promptvars = 106,
  restricted_shell = 107,
  shift_verbose = 108,
  sourcepath = 109,
  xpg_echo = 110,
  ARRAY_SIZE = 111,
  };
};

typedef int option_t;

ASDL_NAMES builtin_i {
  enum no_name {
  colon = 1,
  dot = 2,
  exec_ = 3,
  eval = 4,
  set = 5,
  shift = 6,
  times = 7,
  trap = 8,
  unset = 9,
  readonly = 10,
  local = 11,
  declare = 12,
  typeset = 13,
  export_ = 14,
  true_ = 15,
  false_ = 16,
  try_ = 17,
  assert_ = 18,
  read = 19,
  echo = 20,
  printf = 21,
  mapfile = 22,
  readarray = 23,
  cd = 24,
  pushd = 25,
  popd = 26,
  dirs = 27,
  pwd = 28,
  source = 29,
  umask = 30,
  ulimit = 31,
  wait = 32,
  jobs = 33,
  fg = 34,
  bg = 35,
  shopt = 36,
  complete = 37,
  compgen = 38,
  compopt = 39,
  compadjust = 40,
  compexport = 41,
  getopts = 42,
  builtin = 43,
  command = 44,
  type = 45,
  hash = 46,
  help = 47,
  history = 48,
  alias = 49,
  unalias = 50,
  bind = 51,
  append = 52,
  write = 53,
  json = 54,
  json8 = 55,
  pp = 56,
  hay = 57,
  haynode = 58,
  use = 59,
  error = 60,
  failed = 61,
  fork = 62,
  forkwait = 63,
  fopen = 64,
  shvar = 65,
  ctx = 66,
  runproc = 67,
  boolstatus = 68,
  test = 69,
  bracket = 70,
  push_registers = 71,
  source_guard = 72,
  is_main = 73,
  cat = 74,
  ARRAY_SIZE = 75,
  };
};

typedef int builtin_t;


}  // namespace option_asdl

#endif  // OPTION_ASDL_H
